- Main Page
- Namespaces
- Data Structures
- Files
- Directories

- Data Structures
- Class Hierarchy
- Data Fields

# Accessibility::DeviceEventListener Interface Reference

`import "Accessibility_Registry.idl";`

## Public Member Functions
boolean | notifyEvent (in DeviceEvent event)

## Detailed Description

This interface should be implemented by AT-SPI clients who wish to make use of the DeviceEventController to receive device event notifications. DeviceEvents include keyboard events and mouse button/motion events.

## Member Function Documentation

boolean Accessibility::DeviceEventListener::notifyEvent | ( | in DeviceEvent | event | ) |

Notify an interested DeviceEventListener that a DeviceEvent has occurred.

Returns:
  `True` if the recipient/consumer wishes to consume the event, i.e. prevent it from being delivered to the desktop, `False` if the event should continue to be delivered as normal.

The documentation for this interface was generated from the following file:

- /home/liyuan/src/at-spi/idl/Accessibility_Registry.idl